[tool.poetry]
name = "backend"
version = "0.1.0"
description = "GFY Python backend service"
authors = []

[tool.poetry.dependencies]
python = "~3.8"
pydantic = "~1.7.2"
fastapi = "~0.61.2"
injector = "^0.18.4"
dependency-injector = "^4.3.6"
SQLAlchemy = "^1.3.20"
click = "^7.1.2"
uvloop = "^0.14.0"
uvicorn = "^0.12.2"
gunicorn = "^20.0.4"
psycopg2-binary = "^2.8.6"
httptools = "^0.1.1"

[tool.poetry.dev-dependencies]
mypy = "~0.790"
flake8 = "~3.8.4"
isort = "~5.6.4"
black = "~20.8b1"
pytest = "~6.1.2"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
